Description

It may be intimidating to start writing actions. It would be much easier if we would add some sample actions readymade in the interface.

Examples:

python:

from PyQt4.QtGui import QMessageBox; QMessageBox.information( None, "test", "coords = ( [% $clickx ] , [ $clicky ] )\

 layerid = [ $layerid %]" )

Also, more details should be added to Help button

History

#1 - 2012-03-07 03:41 AM - Giovanni Manghi

- Assignee deleted (Giovanni Manghi)

#2 - 2012-03-09 09:13 AM - Diego Mo

So far I have used actions in this three ways

Windows type

        Open program (browser)

                "PATH_PROGRAM" "URL"

Python type

        Add Raster Layer

                qgis.utils.iface.addRasterLayer('PATH_FILE','NAME_FILE_IN_QGIS')

        Add Vector Layer

                qgis.utils.iface.addVectorLayer('PATH_FILE','NAME_FILE_IN_QGIS', 'ogr')

I like the way was developed the grass plugin to help users to build the command line (choice of the function, required parameters, optional parameters,

opportunity to consult the relative guide to include additional parameters not included in the first choice).

Do you think it makes sense to replicate this approach also to the interface of the actions?

#3 - 2012-04-15 10:21 AM - Giovanni Manghi

- Target version set to Version 2.0.0

#4 - 2012-05-06 06:37 AM - Nathan Woodrow

- Resolution set to fixed

- Status changed from Open to Closed
Added in commit:1786b96ba80bd2
